cd c:\mari\pisa

capture log close
clear
set more 1
set matsize 500
log using pisa1, replace 


use ita2000, clear
* generating variables 
ren wleread lettura 
ren wlemath matemat 
ren wlescie scienze 
ren st02q01 grade 
* label define region 1 "NW" 2 "NE" 3 "Centre" 4 "SE" 5 "SW", modify 
label define region 1 "North-West" 2 "North-East" 3 "Centre" 4 "South-East" 5 "South-West", modify 
tab region 
ren st03q01 sex 
replace sex=sex-1 
replace age = age/12

label define sex 0 "Female" 1 "Male", modify 

* descriptive 
tab st01q03 
tab grade typeita 
replace grade=. if (grade==7|grade==8)&typeita!=1 
tab grade typeita [aw=weightst] 
tab grade typeita [aw=weightst], col nofreq 


gen llet = log(lettura)
gen lmat = log(matemat)
gen lsci = log(scienze)

tabstat lettura matemat scienze [aw=weightst] if typeita==1, by(region) stats(mean sd n) f(%7.2f) 
tabstat lettura matemat scienze [aw=weightst] if typeita==2, by(region) stats(mean sd n) f(%7.2f) 
tabstat lettura matemat scienze [aw=weightst] if typeita==3, by(region) stats(mean sd n) f(%7.2f) 
tabstat lettura matemat scienze [aw=weightst] if typeita==4, by(region) stats(mean sd n) f(%7.2f) 


/*
graph bar (mean) lettura matemat scienze if typeita==2,  over(region) blabel(bar, pos(outside) format(%9.0f)) ///
       leg(lab(1 "Reading") lab(2 "Mathematics") lab(3 "Science")) yscale(range(400 600)) ///
       b1title("PISA test scores, vocational schools")
graph bar (sd) llet lmat lsci if typeita==2,  over(region) blabel(bar, pos(outside) format(%9.2f)) ///
       leg(lab(1 "Reading") lab(2 "Mathematics") lab(3 "Science"))  ///
       b1title("S.d. of log test scores, vocational schools")

graph bar (mean) lettura matemat scienze if typeita==3,  over(region) blabel(bar, pos(outside) format(%9.0f)) ///
       leg(lab(1 "Reading")  lab(2 "Mathematics") lab(3 "Science")) yscale(range(400 600)) ///
       b1title("PISA test scores, technical track")
graph bar (sd) llet lmat lsci if typeita==3,  over(region) blabel(bar, pos(outside) format(%9.2f)) ///
       leg(lab(1 "Reading")  lab(2 "Mathematics") lab(3 "Science"))  ///
       b1title("S.d. of log test scores, technical track")


graph bar (mean) lettura matemat scienze if typeita==4,  over(region) blabel(bar, pos(outside) format(%9.0f)) ///
       leg(lab(1 "Reading")  lab(2 "Mathematics") lab(3 "Science")) yscale(range(400 600)) ///
       b1title("PISA test scores, academic track")
graph bar (sd) llet lmat lsci if typeita==4,  over(region) blabel(bar, pos(outside) format(%9.2f)) ///
       leg(lab(1 "Reading")  lab(2 "Mathematics") lab(3 "Science"))  ///
       b1title("S.d. of log test scores, academic track")



* individual variables 
des age sex famstru nsib brthord fisced misced 
tab1 age famstru nsib brthord fisced misced 
des bfmj bmmj isei hisei bthr 
sum bfmj bmmj isei hisei bthr 
corr bfmj bmmj isei hisei bthr 
des famedsup wealth hedres cultactv cultposs hmwktime selfef scacad teachsup disclima studrel achpress 
sum famedsup wealth hedres cultactv cultposs hmwktime selfef scacad teachsup disclima studrel achpress 

* scelta della secondaria 
tab brthord, g(birth) 
tab fisced, g(edfat) 
tab misced, g(edmot) 
tab region, g(regio) 
sum sex age hisei famedsup wealth hedres 
gen     fiscedyr=0  if fisced==1 
replace fiscedyr=5  if fisced==2 
replace fiscedyr=8  if fisced==3 
replace fiscedyr=11 if fisced==4 
replace fiscedyr=13 if fisced==5 
replace fiscedyr=18 if fisced==6 
gen     miscedyr=0  if misced==1 
replace miscedyr=5  if misced==2 
replace miscedyr=8  if misced==3 
replace miscedyr=11 if misced==4 
replace miscedyr=13 if misced==5 
replace miscedyr=18 if misced==6 
tab grade, g(grade) 
tab sc01q01, g(city) 
tab typeita, g(sec) 
gen full=st06q01==1|st07q01==1 
egen sfull=mean(full), by(schoolid)
gen dialect=st17q01==3
 

* performance a parita' di ambiente  

* reg lettura sex age birth1 fisced misced hisei wealth famedsup hedres cultcom cultactv cultposs regio1-regio4 if typeita>1 [aw=weightst], robust 

reg lettura sex age birth1 fisced misced hisei wealth grade3 grade5 regio1-regio4 if typeita>1 [aw=weightst], robust 
reg lettura regio1-regio4, cluster(schoolid) 
reg lettura regio1-regio4 city2-city5, cluster(schoolid) 
reg lettura  sc11q04 sc11q08 sc19q01 sc19q05 sc19q06 sc19q08 sc19q15 sc19q17 regio1-regio4 sfull sec3 sec4 grade3 grade5 [aw=weightst] if typeita>1 

egen avhisei= mean(hisei), by(schoolid) 
egen isced=rmax(fisced misced) 
egen iscedyr=rmax(fiscedyr miscedyr) 
egen avisced= mean(isced), by(schoolid) 
egen aviscedyr= mean(iscedyr), by(schoolid) 
egen avdisclima=mean(disclima), by(schoolid) 
egen avstudrel=mean(studrel), by(schoolid) 
egen avachpress=mean(achpress), by(schoolid) 
gen liceo=typeita==4 
gen itis=typeita==3 

des avhisei avisced aviscedyr schlsize tothrs stratio  studbeha disclima studrel achpress 
tabstat avhisei avisced aviscedyr schlsize tothrs stratio  studbeha avdisclima avstudrel avachpress [aw=weightst] if typeita>1, by(typeita) stats(mean sd) f(%7.2f) 
reg scien sex age iscedyr hisei aviscedyr avhisei wealth famedsup hedres cultcom cultposs regio1-regio4 schlsize stratio studbeha avdisclima avstudrel avachpress if typeita>1 [aw=weightst], robust beta 
reg matemat sex age iscedyr hisei aviscedyr avhisei wealth famedsup hedres cultcom cultposs regio1-regio4 schlsize stratio studbeha avdisclima avstudrel avachpress if typeita>1 [aw=weightst], robust beta 
reg lettura sex age iscedyr hisei aviscedyr avhisei wealth famedsup hedres cultcom cultposs regio1-regio4 schlsize stratio studbeha avdisclima avstudrel avachpress if typeita>1 [aw=weightst], robust beta 
reg scien sex age isced hisei avisced avhisei wealth famedsup hedres cultcom cultposs regio1-regio4 schlsize stratio studbeha avdisclima avstudrel avachpress if typeita>1 [aw=weightst], robust 
reg matemat sex age isced hisei avisced avhisei wealth famedsup hedres cultcom cultposs regio1-regio4 schlsize stratio studbeha avdisclima avstudrel avachpress if typeita>1 [aw=weightst], robust 
reg lettura sex age isced hisei avisced avhisei wealth famedsup hedres cultcom cultposs regio1-regio4 schlsize stratio studbeha avdisclima avstudrel avachpress if typeita>1 [aw=weightst], robust 

save temp, replace

u temp, clear
collapse lettura matemat scien sex age isced iscedyr hisei wealth famedsup hedres ///
         cultcom cultposs regio1-regio4 schlsize stratio studbeha disclima studrel ///
         achpress typeita weightsc, by(schoolid region) 

tab typeita, g(typed)
reg lettura               typed3 typed4 sex age isced hisei wealth famedsup hedres cultcom ///
    cultposs schlsize stratio studbeha disclima studrel achpress if typeita>1 [aw=weightsc], r 

reg lettura regio1-regio4 typed3 typed4
reg lettura regio1-regio4 typed3 typed4 sex age isced hisei wealth famedsup hedres cultcom ///
    cultposs schlsize stratio studbeha disclima studrel achpress if typeita>1 [aw=weightsc], r 

reg matemat regio1-regio4 typed3 typed4
reg matemat regio1-regio4 typed3 typed4 sex age isced hisei wealth famedsup hedres cultcom ///
    cultposs schlsize stratio studbeha disclima studrel achpress if typeita>1 [aw=weightsc], r

reg scien   regio1-regio4 typed3 typed4
reg scien   regio1-regio4 typed3 typed4 sex age isced hisei wealth famedsup hedres cultcom ///
    cultposs schlsize stratio studbeha disclima studrel achpress if typeita>1 [aw=weightsc], r 

u temp, clear
collapse (sd) llet lmat lsci (mean) sex age isced hisei wealth famedsup hedres ///
         cultcom cultposs regio1-regio4 schlsize stratio studbeha disclima studrel ///
         achpress typeita weightsc, by(schoolid region) 
tab typeita, g(typed)
reg lmat regio1-regio4 typed3 typed4
reg lmat regio1-regio4 typed3 typed4 sex age isced hisei wealth famedsup hedres cultcom ///
    cultposs schlsize stratio studbeha disclima studrel achpress if typeita>1 [aw=weightsc], r

*/
*stop

u temp, clear
* school variables 
des schlsize pcgirls tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha teachsup disclima studrel achpress 
sum schlsize pcgirls tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha 
tabstat tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha [aw=weightst], by(typeita) stats(mean sd) f(%7.2f) 
tabstat tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha [aw=weightst], by(region) stats(mean sd) f(%7.2f) 
tabstat tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha [aw=weightst] if typeita==1, by(region) stats(mean sd) f(%7.2f) 
tabstat tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha [aw=weightst] if typeita==2, by(region) stats(mean sd) f(%7.2f) 
tabstat tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha [aw=weightst] if typeita==3, by(region) stats(mean sd) f(%7.2f) 
tabstat tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha [aw=weightst] if typeita==4, by(region) stats(mean sd) f(%7.2f) 

des sc04q01 sc04q02 sc04q03 sc04q04  
tabstat sc04q01 sc04q02 sc04q03 sc04q04 [aw=weightst], by(typeita) stats(mean sd) f(%7.2f) 
tabstat sc04q01 sc04q02 sc04q03 sc04q04 [aw=weightst], by(schltype) stats(mean sd) f(%7.2f) 

tabstat teachsup disclima studrel achpress [aw=weightst], by(typeita) stats(mean sd) f(%7.2f) 
tabstat teachsup disclima studrel achpress [aw=weightst], by(schltype) stats(mean sd) f(%7.2f) 

tab region levread  [aw=weightst], row nofreq 

collapse typeita lettura matemat scienze schlsize pcgirls tothrs ratcomp stratio tcshort scmatedu scmatbui teacbeha studbeha ///
         teachsup disclima studrel achpress region fisced misced fiscedyr miscedyr hisei weightsc, by(schoolid) 

tab typeita, g(type) 
tab region, g(regio) 
gen sud=1
replace sud=0 if regio4==0 & regio5==0
gen priv = sc03q01 == 2
rename sc13q01 compu
rename sc11q06 libri
rename sc19q02 stass
rename sc19q08 tcass 
reg lettura sud type3-type4 sex stratio studbeha schlsize achpress priv compu libri stass tcass tcshort if typeita>1 
reg lettura sud type3-type4 sex achpress priv libri stass if typeita>1 [aw=weightsc] 

reg scienze sud type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1 
qreg scienze sud type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1, q(.25) nolog
qreg scienze sud type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1, q(.5) nolog
qreg scienze sud type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1, q(.75) nolog
reg scienze type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1 
qreg scienze type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1, q(.25) nolog
qreg scienze type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1, q(.5) nolog
qreg scienze type3-type4 sex stratio achpress compu libri stass tcshort if typeita>1, q(.75) nolog
 

outreg using scuola, ct(OLS) noast replace
qreg lettura sud type3-type4 sex achpress priv libri stass if typeita>1 [aw=weightsc], q(.10) nolog
outreg using scuola, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 sex achpress priv libri stass if typeita>1 [aw=weightsc], q(.25) nolog
outreg using scuola, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 sex achpress priv libri stass if typeita>1 [aw=weightsc], q(.50) nolog
outreg using scuola, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 sex achpress priv libri stass if typeita>1 [aw=weightsc], q(.75) nolog
outreg using scuola, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 sex achpress priv libri stass if typeita>1 [aw=weightsc], q(.90) nolog
outreg using scuola, ct(0.90 quantile) noast append

reg lettura sud type3-type4 priv sex stass achpress if typeita>1 [aw=weightsc] 
qreg lettura sud type3-type4 priv sex stass achpress if typeita>1 [aw=weightsc], q(.10) nolog
qreg lettura sud type3-type4 priv sex stass achpress if typeita>1 [aw=weightsc], q(.25) nolog
qreg lettura sud type3-type4 priv sex stass achpress if typeita>1 [aw=weightsc], q(.50) nolog
qreg lettura sud type3-type4 priv sex stass achpress if typeita>1 [aw=weightsc], q(.75) nolog
qreg lettura sud type3-type4 priv sex stass achpress if typeita>1 [aw=weightsc], q(.90) nolog


*centro-nord
reg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==0 [aw=weightsc] 
outreg using scuolanord, ct(OLS) noast replace
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==0 [aw=weightsc], q(.10) nolog
outreg using scuolanord, ct(0.10 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==0 [aw=weightsc], q(.25) nolog
outreg using scuolanord, ct(0.25 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==0 [aw=weightsc], q(.50) nolog
outreg using scuolanord, ct(0.50 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==0 [aw=weightsc], q(.75) nolog
outreg using scuolanord, ct(0.75 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==0 [aw=weightsc], q(.90) nolog
outreg using scuolanord, ct(0.90 quantile) noast append

*sud
reg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==1 [aw=weightsc] 
outreg using scuolasud, ct(OLS) noast replace
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==1 [aw=weightsc], q(.10) nolog
outreg using scuolasud, ct(0.10 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==1 [aw=weightsc], q(.25) nolog
outreg using scuolasud, ct(0.25 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==1 [aw=weightsc], q(.50) nolog
outreg using scuolasud, ct(0.50 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==1 [aw=weightsc], q(.75) nolog
outreg using scuolasud, ct(0.75 quantile) noast append
qreg lettura type3-type4 sex achpress priv libri stass if typeita>1 & sud==1 [aw=weightsc], q(.90) nolog
outreg using scuolasud, ct(0.90 quantile) noast append

*tecnici
reg lettura sud sex achpress priv libri stass if type3==1 [aw=weightsc] 
outreg using scuolatec, ct(OLS) noast replace
qreg lettura sud sex achpress priv libri stass if type3==1 [aw=weightsc], q(.10) nolog
outreg using scuolatec, ct(0.10 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type3==1 [aw=weightsc], q(.25) nolog
outreg using scuolatec, ct(0.25 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type3==1 [aw=weightsc], q(.50) nolog
outreg using scuolatec, ct(0.5 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type3==1 [aw=weightsc], q(.75) nolog
outreg using scuolatec, ct(0.75 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type3==1 [aw=weightsc], q(.90) nolog
outreg using scuolatec, ct(0.90 quantile) noast append

*classico
reg lettura sud sex achpress priv libri stass if type4==1 [aw=weightsc] 
outreg using scuolacl, ct(OLS) noast replace
qreg lettura sud sex achpress priv libri stass if type4==1 [aw=weightsc], q(.10) nolog
outreg using scuolacl, ct(0.10 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type4==1 [aw=weightsc], q(.25) nolog
outreg using scuolacl, ct(0.25 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type4==1 [aw=weightsc], q(.50) nolog
outreg using scuolacl, ct(0.5 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type4==1 [aw=weightsc], q(.75) nolog
outreg using scuolacl, ct(0.75 quantile) noast append
qreg lettura sud sex achpress priv libri stass if type4==1 [aw=weightsc], q(.90) nolog
outreg using scuolacl, ct(0.90 quantile) noast append

*ragazzi
reg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==1 [aw=weightsc]
outreg using scuolaboy, ct(OLS) noast replace
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==1 [aw=weightsc], q(.10) nolog
outreg using scuolaboy, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==1 [aw=weightsc], q(.25) nolog
outreg using scuolaboy, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==1 [aw=weightsc], q(.50) nolog
outreg using scuolaboy, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==1 [aw=weightsc], q(.75) nolog
outreg using scuolaboy, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==1 [aw=weightsc], q(.90) nolog
outreg using scuolaboy, ct(0.90 quantile) noast append

*ragazze
reg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==0 [aw=weightsc] 
outreg using scuolagerl, ct(OLS) noast replace
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==0 [aw=weightsc], q(.10) nolog
outreg using scuolagerl, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==0 [aw=weightsc], q(.25) nolog
outreg using scuolagerl, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==0 [aw=weightsc], q(.50) nolog
outreg using scuolagerl, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==0 [aw=weightsc], q(.75) nolog
outreg using scuolagerl, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 achpress priv libri stass if typeita>1 & sex==0 [aw=weightsc], q(.90) nolog
outreg using scuolagerl, ct(0.90 quantile) noast append

* pubbliche
reg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==0 [aw=weightsc] 
outreg using scuolapub, ct(OLS) noast replace
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==0 [aw=weightsc], q(.10) nolog
outreg using scuolapub, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==0 [aw=weightsc], q(.25) nolog
outreg using scuolapub, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==0 [aw=weightsc], q(.50) nolog
outreg using scuolapub, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==0 [aw=weightsc], q(.75) nolog
outreg using scuolapub, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==0 [aw=weightsc], q(.90) nolog
outreg using scuolapub, ct(0.90 quantile) noast append

*private
reg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==1 [aw=weightsc] 
outreg using scuolapub, ct(OLS) noast replace
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==1 [aw=weightsc], q(.10) nolog
outreg using scuolapub, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==1 [aw=weightsc], q(.25) nolog
outreg using scuolapub, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==1 [aw=weightsc], q(.50) nolog
outreg using scuolapub, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==1 [aw=weightsc], q(.75) nolog
outreg using scuolapub, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 achpress sex libri stass if typeita>1 & priv==1 [aw=weightsc], q(.90) nolog
outreg using scuolapub, ct(0.90 quantile) noast append

*achivement pressure negative
reg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress<0 [aw=weightsc] 
outreg using scuolacneg, ct(OLS) noast replace
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress<0 [aw=weightsc], q(.10) nolog
outreg using scuolacneg, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress<0 [aw=weightsc], q(.25) nolog
outreg using scuolacneg, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress<0 [aw=weightsc], q(.50) nolog
outreg using scuolacneg, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress<0 [aw=weightsc], q(.75) nolog
outreg using scuolacneg, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress<0 [aw=weightsc], q(.90) nolog
outreg using scuolacneg, ct(0.90 quantile) noast append


*positive achivement pressure
reg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress>0 [aw=weightsc] 
outreg using scuolacpo, ct(OLS) noast replace
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress>0 [aw=weightsc], q(.10) nolog
outreg using scuolacpo, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress>0 [aw=weightsc], q(.25) nolog
outreg using scuolacpo, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress>0 [aw=weightsc], q(.50) nolog
outreg using scuolacpo, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress>0 [aw=weightsc], q(.75) nolog
outreg using scuolacpo, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 priv sex libri stass if typeita>1 & achpress>0 [aw=weightsc], q(.90) nolog
outreg using scuolacpo, ct(0.90 quantile) noast append

*pochi o zero libri
reg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri<3 [aw=weightsc] 
outreg using scuolibneg, ct(OLS) noast replace
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri<3 [aw=weightsc], q(.10) nolog
outreg using scuolibneg, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri<3 [aw=weightsc], q(.25) nolog
outreg using scuolibneg, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri<3 [aw=weightsc], q(.50) nolog
outreg using scuolibneg, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri<3 [aw=weightsc], q(.75) nolog
outreg using scuolibneg, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri<3 [aw=weightsc], q(.90) nolog
outreg using scuolibneg, ct(0.90 quantile) noast append


*abbastanza o molti libri
reg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri>2 [aw=weightsc] 
outreg using scuolibpo, ct(OLS) noast replace
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri>2 [aw=weightsc], q(.10) nolog
outreg using scuolibpo, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri>2 [aw=weightsc], q(.25) nolog
outreg using scuolibpo, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri>2 [aw=weightsc], q(.50) nolog
outreg using scuolibpo, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri>2 [aw=weightsc], q(.75) nolog
outreg using scuolibpo, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress stass if typeita>1 & libri>2 [aw=weightsc], q(.90) nolog
outreg using scuolibpo, ct(0.90 quantile) noast append

*poche o zero assenze
reg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass<3 [aw=weightsc] 
outreg using scuolanoass, ct(OLS) noast replace
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass<3 [aw=weightsc], q(.10) nolog
outreg using scuolanoass, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass<3 [aw=weightsc], q(.25) nolog
outreg using scuolanoass, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass<3 [aw=weightsc], q(.50) nolog
outreg using scuolanoass, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass<3 [aw=weightsc], q(.75) nolog
outreg using scuolanoass, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass<3 [aw=weightsc], q(.90) nolog
outreg using scuolanoass, ct(0.90 quantile) noast append


*abbastanza o molte assenze
reg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass>2 [aw=weightsc] 
outreg using scuolass, ct(OLS) noast replace
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass>2 [aw=weightsc], q(.10) nolog
outreg using scuolass, ct(0.10 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass>2 [aw=weightsc], q(.25) nolog
outreg using scuolass, ct(0.25 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass>2 [aw=weightsc], q(.50) nolog
outreg using scuolass, ct(0.5 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass>2 [aw=weightsc], q(.75) nolog
outreg using scuolass, ct(0.75 quantile) noast append
qreg lettura sud type3-type4 priv sex achpress libri if typeita>1 & stass>2 [aw=weightsc], q(.90) nolog
outreg using scuolass, ct(0.90 quantile) noast append



*GRAFICI
*campione intero grfici
clear
input q sud tec acad male achi priv poorlib stabs 
.10  -47.99  45.08  123.24  -13.67  -5.70  -19.17  -7.88  -8.57  
.25  -49.14  37.96  100.71  -16.29  -4.04  -20.89  -7.72  -10.55 
.50  -50.05  41.51  97.90   -20.14  -4.75  -27.62  -7.27  -7.87 
.75  -46.71  36.00  97.40   -16.29  -3.61  -29.14  -4.81  -7.21 
.90  -50.72  34.17  98.36   -14.95  -0.57  -39.37  -6.77  -2.16 
end
la var q "Quantile" 
gen olsud=-49.25
gen olstec=40.11
gen olscla=104.37
gen olsmen=-17.90
gen olsach=-2.99		
gen olspriv=-26.84		
gen olspoorlib=-7.07	 	
gen olstuabs=-6.99	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var male "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olscla "OLS"
la var olsmen "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-51(1) -46) l1title("South coefficient") msymbol(O S)
graph save sud, replace
scatter tec olstec q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(34(5) 46) l1title("Technical track coefficient") msymbol(O S)
graph save tecnici, replace
scatter acad olscla q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(97(7) 124) l1title("Academic track coefficient") msymbol(O S)
graph save classico, replace
scatter male olsmen q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-21(2) -13) l1title("Male coefficient") msymbol(O S)
graph save male, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-6(2) 0) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivement, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-40(5) -19) l1title("Private school coefficient") msymbol(O S)
graph save private, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-8(1) -4.5) l1title("Poor library coefficient") msymbol(O S)
graph save library, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-11(3) -2) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assenteismo, replace
graph combine sud.gph tecnici.gph classico.gph male.gph
gr save allsample1, replace
graph combine achivement.gph private.gph library.gph assenteismo.gph 
gr save allsample2, replace


*nord-sud: nord
clear
input q tec acad male achi priv poorlib stabs 
.10    30.92  108.64  -19.34  -5.00  -20.24  -9.09  -1.34  
.25    26.64  85.85   -17.25  -3.71  -13.36  -9.03  -7.09 
.50    28.67  79.90   -24.79  -4.76  -20.02  -8.92  -5.34 
.75    31.89  90.46   -20.21  -4.78  -29.42  -6.48  -3.93 
.90    27.37  90.68   -14.78  -0.74  -43.56  -8.95   5.85 
end
la var q "Quantile" 
gen olstec=30.41
gen olscla=92.39
gen olsmen=-20.33
gen olsach=-3.39		
gen olspriv=-22.68		
gen olspoorlib=-8.60	 	
gen olstuabs=-2.75	 	
la var tec "QR"
la var acad "QR"
la var male "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olstec "OLS"
la var olscla "OLS"
la var olsmen "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter tec olstec q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(26(5) 32) l1title("Technical track coefficient") msymbol(O S)
graph save tecnicin, replace
scatter acad olscla q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(79(7) 109) l1title("Academic track coefficient") msymbol(O S)
graph save classicon, replace
scatter male olsmen q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-25(2) -14) l1title("Male coefficient") msymbol(O S)
graph save malen, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-5(2) 0) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivementn, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-44(5) -13) l1title("Private school coefficient") msymbol(O S)
graph save privaten, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-9.5(1) -6) l1title("Poor library coefficient") msymbol(O S)
graph save libraryn, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-7.5(5) 6) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assenteismon, replace
graph combine tecnicin.gph classicon.gph malen.gph  
gr save allsample1n, replace
graph combine achivementn.gph privaten.gph libraryn.gph assenteismon.gph 
gr save allsample2n, replace

*nord-sud:sud
clear
input q tec acad male achi priv poorlib stabs 
.10    57.66  127.18   -10.45  -1.45  -44.41  -5.90  -22.25  
.25    67.59  131.29   -8.87   -0.89  -43.67  -6.07  -12.32 
.50    65.24  123.27   -14.64  -2.12  -48.47  -6.42  -12.53 
.75    53.85  113.10   -15.18  -0.43  -10.95  -3.13  -11.70 
.90    54.33  115.57   -15.17  -0.82  -39.92  -6.04  -11.09 
end
la var q "Quantile" 
gen olstec=59.80
gen olscla=121.42
gen olsmen=-13.64
gen olsach=-0.92		
gen olspriv=-37.82		
gen olspoorlib=-6.18	 	
gen olstuabs=-14.09	 	
la var tec "QR"
la var acad "QR"
la var male "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olstec "OLS"
la var olscla "OLS"
la var olsmen "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter tec olstec q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(53.5(5) 68) l1title("Technical track coefficient") msymbol(O S)
graph save tecnicis, replace
scatter acad olscla q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(113(7) 132) l1title("Academic track coefficient") msymbol(O S)
graph save classicos, replace
scatter male olsmen q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-16(2) -8.5) l1title("Male coefficient") msymbol(O S)
graph save males, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-2.5(.5) -0.5) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivements, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-49.5(10) -10.5) l1title("Private school coefficient") msymbol(O S)
graph save privates, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6.5(1) -3) l1title("Poor library coefficient") msymbol(O S)
graph save librarys, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-22.5(5) -11) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assenteismos, replace
graph combine tecnicis.gph classicos.gph males.gph  
gr save allsample1s, replace
graph combine achivements.gph privates.gph librarys.gph assenteismos.gph 
gr save allsample2s, replace

*tecnici
clear
input q sud male achi priv poorlib stabs 
.10  -41.53  -28.05  -12.44 -14.82  -18.77  1.10  
.25  -44.58  -19.03  -5.27  -7.90   -10.43 -4.38 
.50  -43.43  -28.10  -5.42  -11.67  -7.02  -3.32 
.75  -42.37  -26.01  -5.23  -35.55  -4.15  -2.89 
.90  -51.80  -7.85   -1.73  -53.45  -3.80  -3.58 
end
la var q "Quantile" 
gen olsud=-43.04
gen olsmen=-22.04
gen olsach=-4.93		
gen olspriv=-19.13		
gen olspoorlib=-8.51	 	
gen olstuabs=-1.95	 	
la var sud "QR"
la var male "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olsmen "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-52(3) -40) l1title("South coefficient") msymbol(O S)
graph save sudtec, replace
scatter male olsmen q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-28.5(6) -7) l1title("Male coefficient") msymbol(O S)
graph save maletec, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-12.5(4) -1.5) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivetec, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-53.5(12) -7.5) l1title("Private school coefficient") msymbol(O S)
graph save privatec, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-19(4) -4) l1title("Poor library coefficient") msymbol(O S)
graph save librarytec, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-4.5(3) 1.5) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assenteitec, replace
graph combine sudtec.gph maletec.gph achivetec.gph privatec.gph 
gr save allsample1tec, replace
graph combine librarytec.gph assenteitec.gph 
gr save allsample2tec, replace

*classici
clear
input q sud male achi priv poorlib stabs 
.10  -49.03   9.71     -5.32  -30.62  -5.85  -6.28  
.25  -43.29   3.52     -3.78  -22.46  -3.57  -5.19 
.50  -40.76   2.96     -8.40  -26.68  -7.12  -4.01 
.75  -44.11  -1.56     -3.11  -35.84  -6.88  -4.86 
.90  -42.34  -14.69     0.54  -38.61  -9.65  -3.90 
end
la var q "Quantile" 
gen olsud=-43.71
gen olsmen=-0.75
gen olsach=-4.20		
gen olspriv=-29.94		
gen olspoorlib=-7.14	 	
gen olstuabs=-4.26	 	
la var sud "QR"
la var male "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olsmen "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-50(5) -40.5) l1title("South coefficient") msymbol(O S)
graph save sudcla, replace
scatter male olsmen q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-15(6) 10) l1title("Male coefficient") msymbol(O S)
graph save malecla, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-8.5(4) 1) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivecla, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-39(8) -22) l1title("Private school coefficient") msymbol(O S)
graph save privacla, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-10(3) -3.5) l1title("Poor library coefficient") msymbol(O S)
graph save librarycla, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6.5(3) -3) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assentecla, replace
graph combine sudcla.gph malecla.gph achivecla.gph privacla.gph 
gr save allsample1cla, replace
graph combine librarycla.gph assentecla.gph 
gr save allsample2cla, replace


*ragazzi
clear
input q sud tec acad achi priv poorlib stabs 
.10  -47.62   60.53   157.55 -2.29  -34.34  -5.28  -7.47  
.25  -50.24   53.60   140.20  2.50  -18.89  -4.21  -4.76   
.50  -48.16   51.81   126.13 -2.36  -17.30  -5.20  -2.06   
.75  -46.69   43.49   118.85 -0.12  -28.87  -3.11  -1.55   
.90  -56.32   44.66   106.78  0.07  -48.96  -4.74   0.14   
end
la var q "Quantile" 
gen olsud=-50.52
gen olstec=52.0
gen olsclas=129.52
gen olsach=-.12		
gen olspriv=-26.68		
gen olspoorlib=-4.69	 	
gen olstuabs=-3.28	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-57(5) -46) l1title("South coefficient") msymbol(O S)
graph save sudboy, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(43(15) 61) l1title("Technical track coefficient") msymbol(O S)
graph save tecboy, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(106(20) 158) l1title("Academic track coefficient") msymbol(O S)
graph save classicboy, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-3.5(2) .5) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achiveboy, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-49(10) -17) l1title("Private school coefficient") msymbol(O S)
graph save privaboy, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6(7) -3) l1title("Poor library coefficient") msymbol(O S)
graph save libraryboy, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-7.5(3) .5) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assenteboy, replace
graph combine sudboy.gph tecboy.gph classicboy.gph achiveboy.gph  
gr save allsample1boy, replace
graph combine privaboy.gph libraryboy.gph assenteboy.gph 
gr save allsample2boy, replace


*ragazze
clear
input q sud tec acad achi priv poorlib stabs 
.10  -44.18  33.00   96.70     -6.82  -9.44   -12.46 -9.38  
.25  -47.20  31.36   85.56     -7.37  -15.07  -9.24  -7.70 
.50  -49.25  32.20   76.62     -7.64  -20.60  -8.69  -10.49 
.75  -48.24  32.26   85.18     -5.83  -30.88  -7.20  -9.52 
.90  -50.73  22.32   87.00     -2.15  -29.36  -9.43  -3.47 
end
la var q "Quantile" 
gen olsud=-47.32
gen olstec=31.47
gen olscla=87.20
gen olsach=-5.59		
gen olspriv=-21.37		
gen olspoorlib=-9.44	 	
gen olstuabs=-8.61	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var achi "QR"
la var priv "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olscla "OLS"
la var olsach "OLS"
la var olspriv "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-51(5) -45.5) l1title("South coefficient") msymbol(O S)
graph save sudgirl, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(25(6) 37) l1title("Technical track coefficient") msymbol(O S)
graph save tecgirl, replace
scatter acad olscla q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(79(6) 97) l1title("Academic track coefficient") msymbol(O S)
graph save clasgirl, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-8(4) -2) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivegirl, replace
scatter priv olspriv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-28(8) -9) l1title("Private school coefficient") msymbol(O S)
graph save privagirl, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-12(3) -7) l1title("Poor library coefficient") msymbol(O S)
graph save librarygirl, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-10(3) -3) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assentegirl, replace
graph combine sudgirl.gph tecgirl.gph clasgirl.gph achivegirl.gph  
gr save allsample1girl, replace
graph combine privagirl.gph librarygirl.gph assentegirl.gph 
gr save allsample2girl, replace

*pubbliche
clear
input q sud tec acad achi male poorlib stabs 
.10  -48.05   46.86   125.66 -2.65  -10.03  -9.08  -12.48  
.25  -50.41   37.46   106.68 -2.13  -15.60  -8.62  -9.77   
.50  -49.09   43.88   103.08 -3.15  -21.75  -8.43  -9.25   
.75  -48.12   42.72   101.54 -0.90  -15.12  -6.20  -10.29   
.90  -51.03   35.96    98.39  2.28  -9.42   -8.30  -6.92   
end
la var q "Quantile" 
gen olsud=-49.27
gen olstec=42.06
gen olsclas=107.87
gen olsach=-.90		
gen olsmale=-16.48		
gen olspoorlib=-8.06	 	
gen olstuabs=-9.53	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var achi "QR"
la var male "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olsach "OLS"
la var olsmale "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-51(2) -48) l1title("South coefficient") msymbol(O S)
graph save sudpub, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(35(5) 47) l1title("Technical track coefficient") msymbol(O S)
graph save tecpub, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(98(20) 125) l1title("Academic track coefficient") msymbol(O S)
graph save classicpub, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-3(2) 2) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivepub, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-21(10) -9) l1title("Male school coefficient") msymbol(O S)
graph save malepub, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-9(2) -6) l1title("Poor library coefficient") msymbol(O S)
graph save librarypub, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6(3) -12) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assentepub, replace
graph combine sudpub.gph tecpub.gph classicpub.gph achivepub.gph  
gr save allsample1pub, replace
graph combine malepub.gph librarypub.gph assentepub.gph 
gr save allsample2pub, replace

*private
clear
input q sud tec acad achi male poorlib stabs 
.10  -91.96   2.23   5.82  -.65    -60.90  46.26  -2.76  
.25  -83.68  -30.96  26.09 -9.08   -19.91  35.62  -27.66   
.50  -70.90  -11.34  48.28 -14.0   -6.21   14.84  -3.90   
.75  -34.90   16.83  53.54 -11.37  -32.95  10.21  -1.57   
.90  -41.61   17.8   56.16 -21.33  -51.43  43.15  -17.48   
end
la var q "Quantile" 
gen olsud=-69.86
gen olstec=-1.41
gen olsclas=40.88
gen olsach=-12.53		
gen olsmale=-30.72		
gen olspoorlib=26.17	 	
gen olstuabs=-8.64	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var achi "QR"
la var male "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olsach "OLS"
la var olsmale "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-91(13) -34) l1title("South coefficient") msymbol(O S)
graph save sudpri, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-30(15) 17) l1title("Technical track coefficient") msymbol(O S)
graph save tecpri, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(5(20) 56) l1title("Academic track coefficient") msymbol(O S)
graph save classicpri, replace
scatter achi olsach q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-21(6) -.5) l1title("Achievement pressure coefficient") msymbol(O S)
graph save achivepri, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-60(10) -6) l1title("Male coefficient") msymbol(O S)
graph save malepri, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(10(8) 46) l1title("Poor library coefficient") msymbol(O S)
graph save librarypri, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-27(8) -1) l1title("Student absenteeism coefficient") msymbol(O S)
graph save assentepri, replace
graph combine sudpri.gph tecpri.gph classicpri.gph achivepri.gph  
gr save allsample1pri, replace
graph combine malepri.gph librarypri.gph assentepri.gph 
gr save allsample2pri, replace

*negative achivement pressure 
clear
input q sud tec acad priv male poorlib stabs 
.10  -54.11   64.41  141.63   4.39    -24.52  -12.02  -6.58  
.25  -52.26   50.50  121.74  -10.97   -38.46  -12.54  -2.93   
.50  -53.89   45.52  114.56  -31.67   -34.02  -15.68  -0.30   
.75  -48.86   46.26  102.29  -25.69   -23.56  -10.93  -5.89   
.90  -50.36   29.23  97.85   -30.98   -27.20  -13.60   0.88   
end
la var q "Quantile" 
gen olsud=-51.81
gen olstec=47.79
gen olsclas=117.15
gen olspriv=-17.54		
gen olsmale=-30.88		
gen olspoorlib=-13.04	 	
gen olstuabs=-3.54	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var priv "QR"
la var male "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olspriv "OLS"
la var olsmale "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-54(3) -48) l1title("sud coefficient") msymbol(O S)
graph save sudacneg, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(29(10) 64) l1title("technical track coefficient") msymbol(O S)
graph save tecacneg, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(97(20) 141) l1title("academic track coefficient") msymbol(O S)
graph save classacneg, replace
scatter priv olspriv q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-31(12) 5) l1title("private school coefficient") msymbol(O S)
graph save privacneg, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-38(5) -23) l1title("male coefficient") msymbol(O S)
graph save maleacneg, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-17(3) -10) l1title("poor library coefficient") msymbol(O S)
graph save libraryacneg, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6(2) 0) l1title("student absenteeism coefficient") msymbol(O S)
graph save assenteacneg, replace
graph combine sudacneg.gph tecacneg.gph classacneg.gph privacneg.gph  
gr save allsample1acneg, replace
graph combine maleacneg.gph libraryacneg.gph assenteacneg.gph 
gr save allsample2acneg, replace

*positive achivement pressure 
clear
input q sud tec acad priv poorlib stabs male 
.10  -46.80   37.40  117.69  -34.52   -6.31  -7.14  -11.77  
.25  -48.18   34.15  97.16   -26.48   -5.93  -11.15 -14.30   
.50  -49.46   39.02  92.57   -14.85   -5.01  -9.72  -14.85   
.75  -47.03   35.06  94.32   -16.02   -3.36  -7.36  -16.02   
.90  -54.34   38.93  99.25   -11.36   -3.88  -3.60  -11.36   
end
la var q "Quantile" 
gen olsud=-49.16
gen olstec=37.80
gen olsclas=99.93
gen olspriv=-30.59		
gen olsmale=-14.67		
gen olspoorlib=-5.40	 	
gen olstuabs=-8.03	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var priv "QR"
la var male "QR"
la var poorlib "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olspriv "OLS"
la var olsmale "OLS"
la var olspoorlib "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-54(3) -46) l1title("sud coefficient") msymbol(O S)
graph save sudacneg, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(34(2) 39) l1title("technical track coefficient") msymbol(O S)
graph save tecacneg, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(92(8) 117) l1title("academic track coefficient") msymbol(O S)
graph save classacneg, replace
scatter priv olspriv q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-34(7) -11) l1title("private school coefficient") msymbol(O S)
graph save privacneg, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-16(2) -11) l1title("male coefficient") msymbol(O S)
graph save maleacneg, replace
scatter poorlib olspoorlib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6(1) -3) l1title("poor library coefficient") msymbol(O S)
graph save libraryacneg, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-11(2) -3) l1title("student absenteeism coefficient") msymbol(O S)
graph save assenteacneg, replace
graph combine sudacneg.gph tecacneg.gph classacneg.gph privacneg.gph  
gr save allsample1acneg, replace
graph combine maleacneg.gph libraryacneg.gph assenteacneg.gph 
gr save allsample2acneg, replace


*poor library 
clear
input q sud tec acad priv male achiv stabs  
.10  -44.04   52.61  118.22  -23.56   -25.95  -2.05  -0.47  
.25  -49.85   41.76  94.25   -15.19   -17.43  -5.05  -6.19   
.50  -51.82   40.60  94.74   -25.44   -22.15  -6.44  -6.07   
.75  -46.79   33.75  93.00   -31.63   -17.74  -5.91  -7.25   
.90  -52.34   31.57  96.33   -46.23   -21.50  -3.08  -.33   
end
la var q "Quantile" 
gen olsud=-49.9
gen olstec=42.38
gen olsclas=101.21
gen olspriv=-26.87		
gen olsmale=-21.07		
gen olsachiv=-3.94	 	
gen olstuabs=-4.31	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var priv "QR"
la var male "QR"
la var achiv "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olspriv "OLS"
la var olsmale "OLS"
la var olsachiv "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-52(2) -44) l1title("sud coefficient") msymbol(O S)
graph save sudnolib, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(31(6) 52) l1title("technical track coefficient") msymbol(O S)
graph save tecnolib, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(93(8) 118) l1title("academic track coefficient") msymbol(O S)
graph save classnolib, replace
scatter priv olspriv q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-46(8) -15) l1title("private school coefficient") msymbol(O S)
graph save privnolib, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-25(3) -17) l1title("male coefficient") msymbol(O S)
graph save malenolib, replace
scatter achiv olsachiv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-6(2) -2) l1title("achivement pressure coefficient") msymbol(O S)
graph save achivnolib, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-7(2) -.3) l1title("student absenteeism coefficient") msymbol(O S)
graph save assentenolib, replace
graph combine sudnolib.gph tecnolib.gph classnolib.gph privnolib.gph  
gr save allsample1nolib, replace
graph combine malenolib.gph achivnolib.gph assentenolib.gph 
gr save allsample2nolib, replace

*good library 
clear
input q sud tec acad male achiv stabs  
.10  -32.76   46.27  128.29      -5.8    -3.97  -30.85  
.25  -43.87   46.62  118.68      -11.2    1.34  -22.58   
.50  -43.41   48.00  103.12      -20.22  -0.16  -14.74   
.75  -39.72   45.75  101.54      -15.12  -1.43  -13.26   
.90  -47.34   37.27  97.81       -12.4    1.43  -6.71   
end
la var q "Quantile" 
gen olsud=-43.25
gen olstec=42.64
gen olsclas=108.97
gen olsmale=-12.63		
gen olsachiv=-.34	 	
gen olstuabs=-16.55	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var male "QR"
la var achiv "QR"
la var stabs "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olsmale "OLS"
la var olsachiv "OLS"
la var olstuabs "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-47(5) -32) l1title("sud coefficient") msymbol(O S)
graph save sudlib, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(37(6) 48) l1title("technical track coefficient") msymbol(O S)
graph save teclib, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(97(8) 128) l1title("academic track coefficient") msymbol(O S)
graph save classlib, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-20(5) -5) l1title("male coefficient") msymbol(O S)
graph save malelib, replace
scatter achiv olsachiv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-3(2) 1) l1title("achivement pressure coefficient") msymbol(O S)
graph save achivlib, replace
scatter stabs olstuabs q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-30(7) -6) l1title("student absenteeism coefficient") msymbol(O S)
graph save assentelib, replace
graph combine sudlib.gph teclib.gph classlib.gph   
gr save allsample1lib, replace
graph combine malelib.gph achivlib.gph assentelib.gph 
gr save allsample2lib, replace

*low absenteeism 
clear
input q sud tec acad priv male achiv lib  
.10  -26.78   61.80  117.48  -34.24   -4      -11.01  4.07  
.25  -33.73   48.76  97.03   -15.30   -10.07  -4.30  -.95   
.50  -29.06   34.76  82.59   -25.45   -17.57  -9.01  -6.52   
.75  -34.59   39.45  96.28   -43.11   -18.54  -9.01  -4.21   
.90  -31.96   30.80  95.35   -44.28   -15.50  -3.75  -7.09   
end
la var q "Quantile" 
gen olsud=-30.21
gen olstec=39.99
gen olsclas=96.15
gen olspriv=-29.02		
gen olsmale=-14.88		
gen olsachiv=-7.24	 	
gen olslib=-4.11	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var priv "QR"
la var male "QR"
la var achiv "QR"
la var lib "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olspriv "OLS"
la var olsmale "OLS"
la var olsachiv "OLS"
la var olslib "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-34(2) -26) l1title("sud coefficient") msymbol(O S)
graph save sudnoabs, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(30(8) 61) l1title("technical track coefficient") msymbol(O S)
graph save tecnoabs, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(82(9) 117) l1title("academic track coefficient") msymbol(O S)
graph save classnoabs, replace
scatter priv olspriv q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-44(9) -15) l1title("private school coefficient") msymbol(O S)
graph save privnoabs, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-17(5) -4) l1title("male coefficient") msymbol(O S)
graph save malenoabs, replace
scatter achiv olsachiv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-11(2) -4) l1title("achivement pressure coefficient") msymbol(O S)
graph save achivnoabs, replace
scatter lib olslib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-7(5) 4) l1title("poor library coefficient") msymbol(O S)
graph save libnoabs, replace
graph combine sudnoabs.gph tecnoabs.gph classnoabs.gph privnoabs.gph  
gr save allsample1noabs, replace
graph combine malenoabs.gph achivnoabs.gph libnoabs.gph 
gr save allsample2noabs, replace

*high absenteeism 
clear
input q sud tec acad priv male achiv lib  
.10  -51.47   43.67  123.14   -12.44   -20.98  -1.44  -15.69  
.25  -50.31   39.06  110.31   -14.60   -14.31  -3.51  -13.09   
.50  -56.35   43.24  101.84   -1.41    -17.61  -1.17  -8.91   
.75  -54.38   42.64  98.59    -14.69   -12.90  -1.80  -6.8   
.90  -63.33   46.92  104.72   -20.03   -14.23    .39  -5.40   
end
la var q "Quantile" 
gen olsud=-30.21
gen olstec=39.99
gen olsclas=96.15
gen olspriv=-29.02		
gen olsmale=-14.88		
gen olsachiv=-7.24	 	
gen olslib=-4.11	 	
la var sud "QR"
la var tec "QR"
la var acad "QR"
la var priv "QR"
la var male "QR"
la var achiv "QR"
la var lib "QR"
la var olsud "OLS"
la var olstec "OLS"
la var olsclas "OLS"
la var olspriv "OLS"
la var olsmale "OLS"
la var olsachiv "OLS"
la var olslib "OLS"
scatter sud olsud q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-63(10) -30) l1title("sud coefficient") msymbol(O S)
graph save sudabs, replace
scatter tec olstec q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(39(2) 47) l1title("technical track coefficient") msymbol(O S)
graph save tecabs, replace
scatter acad olsclas q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(98(10) 123) l1title("academic track coefficient") msymbol(O S)
graph save classabs, replace
scatter priv olspriv q,c(l 2) xlab(0.1 0.25 0.5 0.75 0.9) ylab(-29(9) -1) l1title("private school coefficient") msymbol(O S)
graph save privabs, replace
scatter male olsmale q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-20(4) -12) l1title("male coefficient") msymbol(O S)
graph save maleabs, replace
scatter achiv olsachiv q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-7(2) 0) l1title("achivement pressure coefficient") msymbol(O S)
graph save achivabs, replace
scatter lib olslib q, c(l 2) xlab(0.1 0.25 .5 0.75 0.9) ylab(-15(5) -5) l1title("poor library coefficient") msymbol(O S)
graph save libabs, replace
graph combine sudabs.gph tecabs.gph classabs.gph privabs.gph  
gr save allsample1abs, replace
graph combine maleabs.gph achivabs.gph libabs.gph 
gr save allsample2abs, replace
